%define name atanks 
%define version 1.1.0
%define rel 5
%define release %mkrel %rel
%define mkrel_fixed(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(\\d+)$/;$rel=${1}-1;re;print "$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

%define build_allegro_unstable 1
%{?_with_allegro_unstable: %{expand: %%global build_allegro_unstable 1}}


Summary: A Scorched Earth game clone
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Source3:    %{name}-16.png
Source4:    %{name}-32.png
Source5:    %{name}-48.png
Patch: atanks-1.1.0-gcc3.4.patch.bz2
License: GPL
Group: Games/Arcade
Url: http://atanks.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
%if %build_allegro_unstable
BuildRequires: allegro-testing-devel
%else
BuildRequires: allegro-devel
%endif

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q -n %name
%patch -p1

%build
export OFLAGS="$RPM_OPT_FLAGS"

%make FLAGS="-DLINUX -DVERSION=\\\"\${VERSION}\\\" -DDATA_DIR=\\\"%_gamesdatadir/%name\\\""
#DATA_DIR=%_gamesdatadir/%name

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot{%_gamesbindir,%_gamesdatadir/%name}
cp %name %buildroot%_gamesbindir
cp *.dat %buildroot%_gamesdatadir/%name
cp *.txt %buildroot%_gamesdatadir/%name

#to make rpmlint happy
perl -pi -e "s/\r\n/\n/g" %buildroot%_gamesdatadir/%name/tanks.txt

chmod 644 %buildroot%_gamesdatadir/%name/*

# Menu
mkdir -p %buildroot{%_menudir,%_liconsdir,%_iconsdir,%_miconsdir}

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
    command="%{_gamesbindir}/%{name}"\
    title="Atanks"\
    longtitle="A worms clone"\
    needs="x11"\
    section="Amusement/Arcade"\
    icon="%{name}.png"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO readme.linux BUGS Changelog
%_gamesbindir/%name
%_gamesdatadir/%name
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 1.1.0-5mdk
- fix BuildRequires
- rebuild with allegro-testing-4.2.0

* Sat Jul 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.0-4mdk
- Rebuild

* Fri Apr 15 2005 Guillaume Bedot <littletux@zarb.org> 1.1.0-3mdk
- make it easy to rebuild with allegro or allegro-testing.
- built with allegro-testing.

* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-2mdk
- update description
- patch for new g++

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- fix doc file list
- new version

* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-0.rc2.2mdk
- fix files permission
* Fri Sep 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-0.rc2.1mdk
- first mdk spec
